package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Det;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface DetMapper {

    int insert(Det record);

    int insertSelective(Det record);

    int updateByPrimaryKeySelective(Det record);

    int updateByPrimaryKey(Det record);

    int deleteByPrimaryKey(Det record);

    int deleteByIds(Collection<Object> collection);

    Det selectByPrimaryKey(Det record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Det> dyncRead(Map<String, Object> dyncMap);

}